// Garden Gnome Software - Skin
// Pano2VR 6.1.12/18076
// Filename: test.ggsk
// Generated 2021-08-26T12:51:04

function pano2vrSkin(player,base) {
	player.addVariable('map', 2, true);
	var me=this;
	var skin=this;
	var flag=false;
	var skinKeyPressed = 0;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	var hs,el,els,elo,ela,elHorScrollFg,elHorScrollBg,elVertScrollFg,elVertScrollBg,elCornerBg;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	this.callNodeChange=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggNodeChange) {
				e.ggNodeChange();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	player.addListener('changenode', function() { me.ggUserdata=player.userdata; me.callNodeChange(me.divSkin); });
	
	var parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		el=me._map=document.createElement('div');
		el.ggId="map";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=true;
		el.className="ggskin ggskin_container ";
		el.ggType='container';
		hs ='';
		hs+='height : 160px;';
		hs+='left : 10px;';
		hs+='opacity : 0;';
		hs+='position : absolute;';
		hs+='top : 130px;';
		hs+='visibility : hidden;';
		hs+='width : 290px;';
		hs+='pointer-events:none;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='0% 0%';
		me._map.ggIsActive=function() {
			return false;
		}
		el.ggElementNodeId=function() {
			return player.getCurrentNode();
		}
		me._map.logicBlock_scaling = function() {
			var newLogicStateScaling;
			if (
				((player.getViewerSize().height < 450))
			)
			{
				newLogicStateScaling = 0;
			}
			else {
				newLogicStateScaling = -1;
			}
			if (me._map.ggCurrentLogicStateScaling != newLogicStateScaling) {
				me._map.ggCurrentLogicStateScaling = newLogicStateScaling;
				me._map.style[domTransition]='' + cssPrefix + 'transform 0s, opacity 500ms ease 0ms';
				if (me._map.ggCurrentLogicStateScaling == 0) {
					me._map.ggParameter.sx = 0.9;
					me._map.ggParameter.sy = 0.9;
					me._map.style[domTransform]=parameterToTransform(me._map.ggParameter);
				}
				else {
					me._map.ggParameter.sx = 1;
					me._map.ggParameter.sy = 1;
					me._map.style[domTransform]=parameterToTransform(me._map.ggParameter);
				}
			}
		}
		me._map.logicBlock_visible = function() {
			var newLogicStateVisible;
			if (
				((player.getVariableValue('node_list') == true))
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._map.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._map.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._map.style[domTransition]='' + cssPrefix + 'transform 0s, opacity 500ms ease 0ms';
				if (me._map.ggCurrentLogicStateVisible == 0) {
					me._map.style.visibility="hidden";
					me._map.ggVisible=false;
				}
				else {
					me._map.style.visibility=(Number(me._map.style.opacity)>0||!me._map.style.opacity)?'inherit':'hidden';
					me._map.ggVisible=true;
				}
			}
		}
		me._map.logicBlock_alpha = function() {
			var newLogicStateAlpha;
			if (
				((player.getVariableValue('map') == true))
			)
			{
				newLogicStateAlpha = 0;
			}
			else if (
				((player.getVariableValue('map') == false))
			)
			{
				newLogicStateAlpha = 1;
			}
			else {
				newLogicStateAlpha = -1;
			}
			if (me._map.ggCurrentLogicStateAlpha != newLogicStateAlpha) {
				me._map.ggCurrentLogicStateAlpha = newLogicStateAlpha;
				me._map.style[domTransition]='' + cssPrefix + 'transform 0s, opacity 500ms ease 0ms';
				if (me._map.ggCurrentLogicStateAlpha == 0) {
					me._map.style.visibility=me._map.ggVisible?'inherit':'hidden';
					me._map.style.opacity=1;
				}
				else if (me._map.ggCurrentLogicStateAlpha == 1) {
					setTimeout(function() { if (me._map.style.opacity == 0.0) { me._map.style.visibility="hidden"; } }, 505);
					me._map.style.opacity=0;
				}
				else {
					setTimeout(function() { if (me._map.style.opacity == 0.0) { me._map.style.visibility="hidden"; } }, 505);
					me._map.style.opacity=0;
				}
			}
		}
		me._map.ggUpdatePosition=function (useTransition) {
		}
		me._map.ggNodeChange=function () {
			if (
				(
					((me.ggUserdata.tags.indexOf("gfl") != -1))
				)
			) {
				player.setVariableValue('map_label', "gfl");
			}
			if (
				(
					((me.ggUserdata.tags.indexOf("1fl") != -1))
				)
			) {
				player.setVariableValue('map_label', "1fl");
			}
			if (
				(
					((me.ggUserdata.tags.indexOf("2fl") != -1))
				)
			) {
				player.setVariableValue('map_label', "2fl");
			}
		}
		el=me._rectangle_1=document.createElement('div');
		el.ggId="Rectangle 1";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=true;
		el.className="ggskin ggskin_rectangle ";
		el.ggType='rectangle';
		hs ='';
		hs+='background : #d22525;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 296px;';
		hs+='left : -2px;';
		hs+='position : absolute;';
		hs+='top : -5px;';
		hs+='visibility : inherit;';
		hs+='width : 290px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		me._rectangle_1.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._rectangle_1.ggUpdatePosition=function (useTransition) {
		}
		me._map.appendChild(me._rectangle_1);
		me.divSkin.appendChild(me._map);
		el=me._mapplan=document.createElement('div');
		el.ggId="map-plan";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=true;
		el.className="ggskin ggskin_container ";
		el.ggType='container';
		hs ='';
		hs+='height : 17px;';
		hs+='left : 58px;';
		hs+='position : absolute;';
		hs+='top : 100px;';
		hs+='visibility : inherit;';
		hs+='width : 70px;';
		hs+='pointer-events:none;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		me._mapplan.ggIsActive=function() {
			return false;
		}
		el.ggElementNodeId=function() {
			return player.getCurrentNode();
		}
		me._mapplan.logicBlock_visible = function() {
			var newLogicStateVisible;
			if (
				((player.getVariableValue('node_list') == true))
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._mapplan.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._mapplan.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._mapplan.style[domTransition]='';
				if (me._mapplan.ggCurrentLogicStateVisible == 0) {
					me._mapplan.style.visibility="hidden";
					me._mapplan.ggVisible=false;
				}
				else {
					me._mapplan.style.visibility=(Number(me._mapplan.style.opacity)>0||!me._mapplan.style.opacity)?'inherit':'hidden';
					me._mapplan.ggVisible=true;
				}
			}
		}
		me._mapplan.ggUpdatePosition=function (useTransition) {
		}
		el=me._border=document.createElement('div');
		el.ggId="border";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=true;
		el.className="ggskin ggskin_rectangle ";
		el.ggType='rectangle';
		hs ='';
		hs+=cssPrefix + 'border-radius : 4px;';
		hs+='border-radius : 4px;';
		hs+='background : rgba(255,85,0,0.784314);';
		hs+='border : 1px solid #ffffff;';
		hs+='cursor : default;';
		hs+='height : 20px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : -2px;';
		hs+='visibility : inherit;';
		hs+='width : 65px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		me._border.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._border.logicBlock_backgroundcolor = function() {
			var newLogicStateBackgroundColor;
			if (
				((player.getVariableValue('map') == true))
			)
			{
				newLogicStateBackgroundColor = 0;
			}
			else {
				newLogicStateBackgroundColor = -1;
			}
			if (me._border.ggCurrentLogicStateBackgroundColor != newLogicStateBackgroundColor) {
				me._border.ggCurrentLogicStateBackgroundColor = newLogicStateBackgroundColor;
				me._border.style[domTransition]='background-color 0s';
				if (me._border.ggCurrentLogicStateBackgroundColor == 0) {
					me._border.style.backgroundColor="rgba(0,108,139,0.784314)";
				}
				else {
					me._border.style.backgroundColor="rgba(255,85,0,0.784314)";
				}
			}
		}
		me._border.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._border);
		el=me._showmap_txt=document.createElement('div');
		els=me._showmap_txt__text=document.createElement('div');
		el.className='ggskin ggskin_textdiv';
		el.ggTextDiv=els;
		el.ggId="show-map_txt";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=false;
		el.className="ggskin ggskin_text text";
		el.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 17px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 2px;';
		hs+='visibility : hidden;';
		hs+='width : 45px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs += 'box-sizing: border-box;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 45px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: rgba(255,255,255,1);';
		hs+='font-size: 11px;';
		hs+='font-weight: lighter;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 2px 0px 2px;';
		hs+='overflow: hidden;';
		els.setAttribute('style',hs);
		els.innerHTML="ON";
		el.appendChild(els);
		me._showmap_txt.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._showmap_txt.logicBlock_visible = function() {
			var newLogicStateVisible;
			if (
				((player.getVariableValue('map') == true))
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._showmap_txt.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._showmap_txt.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._showmap_txt.style[domTransition]='';
				if (me._showmap_txt.ggCurrentLogicStateVisible == 0) {
					me._showmap_txt.style.visibility=(Number(me._showmap_txt.style.opacity)>0||!me._showmap_txt.style.opacity)?'inherit':'hidden';
					me._showmap_txt.ggVisible=true;
				}
				else {
					me._showmap_txt.style.visibility="hidden";
					me._showmap_txt.ggVisible=false;
				}
			}
		}
		me._showmap_txt.onclick=function (e) {
			player.setVariableValue('map', false);
		}
		me._showmap_txt.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._showmap_txt);
		el=me._hidemap_txt=document.createElement('div');
		els=me._hidemap_txt__text=document.createElement('div');
		el.className='ggskin ggskin_textdiv';
		el.ggTextDiv=els;
		el.ggId="hide-map_txt";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=false;
		el.className="ggskin ggskin_text text";
		el.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 17px;';
		hs+='left : 21px;';
		hs+='position : absolute;';
		hs+='top : 2px;';
		hs+='visibility : hidden;';
		hs+='width : 45px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs += 'box-sizing: border-box;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 45px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: rgba(255,255,255,1);';
		hs+='font-size: 11px;';
		hs+='font-weight: lighter;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 2px 0px 2px;';
		hs+='overflow: hidden;';
		els.setAttribute('style',hs);
		els.innerHTML="OFF";
		el.appendChild(els);
		me._hidemap_txt.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._hidemap_txt.logicBlock_visible = function() {
			var newLogicStateVisible;
			if (
				((player.getVariableValue('map') == false))
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._hidemap_txt.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._hidemap_txt.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._hidemap_txt.style[domTransition]='';
				if (me._hidemap_txt.ggCurrentLogicStateVisible == 0) {
					me._hidemap_txt.style.visibility=(Number(me._hidemap_txt.style.opacity)>0||!me._hidemap_txt.style.opacity)?'inherit':'hidden';
					me._hidemap_txt.ggVisible=true;
				}
				else {
					me._hidemap_txt.style.visibility="hidden";
					me._hidemap_txt.ggVisible=false;
				}
			}
		}
		me._hidemap_txt.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._hidemap_txt);
		el=me._maptxt=document.createElement('div');
		els=me._maptxt__text=document.createElement('div');
		el.className='ggskin ggskin_textdiv';
		el.ggTextDiv=els;
		el.ggId="map-txt";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=true;
		el.className="ggskin ggskin_text text";
		el.ggType='text';
		hs ='';
		hs+='height : 17px;';
		hs+='left : -43px;';
		hs+='position : absolute;';
		hs+='top : 2px;';
		hs+='visibility : inherit;';
		hs+='width : 40px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs += 'box-sizing: border-box;';
		hs+='cursor: default;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 40px;';
		hs+='height: 17px;';
		hs+='border: 0px solid #000000;';
		hs+='color: rgba(255,255,255,1);';
		hs+='font-size: 11px;';
		hs+='font-weight: lighter;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 2px 0px 2px;';
		hs+='overflow: hidden;';
		els.setAttribute('style',hs);
		els.innerHTML="PLAN:";
		el.appendChild(els);
		me._maptxt.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._maptxt.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._maptxt);
		el=me._movingthing=document.createElement('div');
		el.ggId="moving-thing";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=true;
		el.className="ggskin ggskin_rectangle ";
		el.ggType='rectangle';
		hs ='';
		hs+=cssPrefix + 'border-radius : 4px;';
		hs+='border-radius : 4px;';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #ffffff;';
		hs+='cursor : default;';
		hs+='height : 20px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : -2px;';
		hs+='visibility : inherit;';
		hs+='width : 20px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		me._movingthing.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._movingthing.logicBlock_position = function() {
			var newLogicStatePosition;
			if (
				((player.getVariableValue('map') == true))
			)
			{
				newLogicStatePosition = 0;
			}
			else if (
				((player.getVariableValue('map') == false))
			)
			{
				newLogicStatePosition = 1;
			}
			else {
				newLogicStatePosition = -1;
			}
			if (me._movingthing.ggCurrentLogicStatePosition != newLogicStatePosition) {
				me._movingthing.ggCurrentLogicStatePosition = newLogicStatePosition;
				me._movingthing.style[domTransition]='left 500ms ease 0ms, top 500ms ease 0ms';
				if (me._movingthing.ggCurrentLogicStatePosition == 0) {
					me._movingthing.style.left='45px';
					me._movingthing.style.top='-2px';
				}
				else if (me._movingthing.ggCurrentLogicStatePosition == 1) {
					me._movingthing.style.left='0px';
					me._movingthing.style.top='-2px';
				}
				else {
					me._movingthing.style.left='0px';
					me._movingthing.style.top='-2px';
				}
			}
		}
		me._movingthing.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._movingthing);
		el=me._offbutton=document.createElement('div');
		el.ggId="off-button";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=false;
		el.className="ggskin ggskin_rectangle ";
		el.ggType='rectangle';
		hs ='';
		hs+=cssPrefix + 'border-radius : 4px;';
		hs+='border-radius : 4px;';
		hs+='border : 1px solid #ffffff;';
		hs+='cursor : pointer;';
		hs+='height : 20px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : -2px;';
		hs+='visibility : hidden;';
		hs+='width : 65px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		me._offbutton.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._offbutton.logicBlock_visible = function() {
			var newLogicStateVisible;
			if (
				((player.getVariableValue('map') == true))
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._offbutton.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._offbutton.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._offbutton.style[domTransition]='';
				if (me._offbutton.ggCurrentLogicStateVisible == 0) {
					me._offbutton.style.visibility=(Number(me._offbutton.style.opacity)>0||!me._offbutton.style.opacity)?'inherit':'hidden';
					me._offbutton.ggVisible=true;
				}
				else {
					me._offbutton.style.visibility="hidden";
					me._offbutton.ggVisible=false;
				}
			}
		}
		me._offbutton.onclick=function (e) {
			player.setVariableValue('map', false);
		}
		me._offbutton.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._offbutton);
		el=me._onbutton=document.createElement('div');
		el.ggId="on-button";
		el.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		el.ggVisible=false;
		el.className="ggskin ggskin_rectangle ";
		el.ggType='rectangle';
		hs ='';
		hs+=cssPrefix + 'border-radius : 4px;';
		hs+='border-radius : 4px;';
		hs+='border : 1px solid #ffffff;';
		hs+='cursor : pointer;';
		hs+='height : 20px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : -2px;';
		hs+='visibility : hidden;';
		hs+='width : 65px;';
		hs+='pointer-events:auto;';
		el.setAttribute('style',hs);
		el.style[domTransform + 'Origin']='50% 50%';
		me._onbutton.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		el.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return player.getCurrentNode();
		}
		me._onbutton.logicBlock_visible = function() {
			var newLogicStateVisible;
			if (
				((player.getVariableValue('map') == false))
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._onbutton.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._onbutton.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._onbutton.style[domTransition]='';
				if (me._onbutton.ggCurrentLogicStateVisible == 0) {
					me._onbutton.style.visibility=(Number(me._onbutton.style.opacity)>0||!me._onbutton.style.opacity)?'inherit':'hidden';
					me._onbutton.ggVisible=true;
				}
				else {
					me._onbutton.style.visibility="hidden";
					me._onbutton.ggVisible=false;
				}
			}
		}
		me._onbutton.onclick=function (e) {
			player.setVariableValue('map', true);
		}
		me._onbutton.ggUpdatePosition=function (useTransition) {
		}
		me._mapplan.appendChild(me._onbutton);
		me.divSkin.appendChild(me._mapplan);
		player.addListener('sizechanged', function() {
			me.updateSize(me.divSkin);
		});
	};
	this.hotspotProxyClick=function(id, url) {
	}
	this.hotspotProxyDoubleClick=function(id, url) {
	}
	me.hotspotProxyOver=function(id, url) {
	}
	me.hotspotProxyOut=function(id, url) {
	}
	player.addListener('changenode', function() {
		me.ggUserdata=player.userdata;
	});
	me.skinTimerEvent=function() {
		me.ggCurrentTime=new Date().getTime();
	};
	player.addListener('timer', me.skinTimerEvent);
	me.addSkin();
	var style = document.createElement('style');
	style.type = 'text/css';
	style.appendChild(document.createTextNode('.ggskin { font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 14px; } .ggskin.title{ font-family: "Rubik", sans-serif; font-size: 14px; font-weight: 700; } .ggskin.text{ font-family: "Rubik", sans-serif; font-size: 14px; font-weight: 400; }'));
	document.head.appendChild(style);
	me._map.logicBlock_scaling();
	me._map.logicBlock_visible();
	me._mapplan.logicBlock_visible();
	me._map.logicBlock_alpha();
	me._border.logicBlock_backgroundcolor();
	me._showmap_txt.logicBlock_visible();
	me._hidemap_txt.logicBlock_visible();
	me._movingthing.logicBlock_position();
	me._offbutton.logicBlock_visible();
	me._onbutton.logicBlock_visible();
	player.addListener('sizechanged', function(args) { me._map.logicBlock_scaling();me._map.logicBlock_visible();me._mapplan.logicBlock_visible(); });
	player.addListener('changenode', function(args) { me._map.logicBlock_visible();me._map.logicBlock_alpha();me._mapplan.logicBlock_visible();me._border.logicBlock_backgroundcolor();me._showmap_txt.logicBlock_visible();me._hidemap_txt.logicBlock_visible();me._movingthing.logicBlock_position();me._offbutton.logicBlock_visible();me._onbutton.logicBlock_visible(); });
	player.addListener('varchanged_map', function(args) { me._map.logicBlock_alpha();me._border.logicBlock_backgroundcolor();me._showmap_txt.logicBlock_visible();me._hidemap_txt.logicBlock_visible();me._movingthing.logicBlock_position();me._offbutton.logicBlock_visible();me._onbutton.logicBlock_visible(); });
	me.skinTimerEvent();
};